commit: c9fcf3de38cb096a9e3766d42ed47b9fdfaf4b20
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 1 02:38:42 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 1 02:54:38 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c9fcf3de
dev-python/humanize: Bump to 4.12.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/humanize/Manifest | 1 +
dev-python/humanize/humanize-4.12.3.ebuild | 33 ++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index 9d6c9bab05e9..05d9c3d141bd 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1 +1,2 @@
DIST humanize-4.12.2.tar.gz 80871 BLAKE2B
77af866cc388566c8930a7869a836458517babd3f804505681f5bd51adb1690746cfd1e251d71a7b1d9408ae8a51218fe59e94bca9ee2c2d209a0f54db1e37be
SHA512
33b7c54acf0aa6e4170016baf8c0b512533546551f6b64bccca251d59a9a997e5f4379b1e038401d6fbff4aaec99606afb24df0428202dd8d82ff7b9595463b7
+DIST humanize-4.12.3.tar.gz 80514 BLAKE2B
23faa42db0005376509c7b756613ee139a0ddb2038d61be90e35ba85cc61bd47dda32edbd61e98ad8192cd29863b7a97b211c7192e9ba1cf3f7df4cea1959fc9
SHA512
530ea137f0176e1765eabf9adca353fb1616e3701f6e618822cffa70f731f59854dc629f17188edbb9dc82f37b80e643e87508ea0ef8c51ec889e5ad0c0c1dfe
diff --git a/dev-python/humanize/humanize-4.12.3.ebuild
b/dev-python/humanize/humanize-4.12.3.ebuild
new file mode 100644
index 000000000000..2c197cb2cb95
--- /dev/null
+++ b/dev-python/humanize/humanize-4.12.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 pypy3_11 python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="
+ https://github.com/python-humanize/humanize/
+ https://pypi.org/project/humanize/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/coverage/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}